| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | List of all members
GaudiPython::TupleDecorator Class Reference

Simple class which performs the decoration of the standard N-Tuple. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static INTuple * | nTuple (const Tuples::Tuple &tuple)
| accessors to internal More...
static NTuple::Tuple * | ntuple (const Tuples::Tuple &tuple)
| accessors to internal More...
static bool | valid (const Tuples::Tuple &tuple)
| status of the tuple More...
static StatusCode | write (const Tuples::Tuple &tuple)
| commit the row More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value)
| more or less simple columns: long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const int value, const int minv, const int maxv)
| more or less simple columns: long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const double value)
| more or less simple columns: double More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const bool value)
| more or less simple columns: bool More...
static StatusCode | column_ll (const Tuples::Tuple &tuple, const std::string &name, const long long value)
| more or less simple columns: long long More...
static StatusCode | column_ull (const Tuples::Tuple &tuple, const std::string &name, const unsigned long long value)
| more or less simple columns: unsigned long long More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress More...
static StatusCode | column (const Tuples::Tuple &tuple, IOpaqueAddress *value)
| more or less simple columns: IOpaqueAddress More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::LorentzVector &value)
| Advanced columns: LorentzVector. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZVector &value)
| Advanced columns: 3D-vector. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::XYZPoint &value)
| Advanced columns: 3D-points. More...
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiUtils::VectorMap< int, double > &info, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const std::vector< double > &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector1 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector2 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector3 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector4 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector5 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector6 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector7 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector8 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Vector9 &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const GaudiPython::Matrix &data, const Tuples::TupleObj::MIndex cols)
| Advanced columns: fixed size matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x2 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x3 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x4 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix5x5 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix6x6 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix7x7 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix8x8 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix9x9 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x1 &value)
| Advanced columns: fixed size matrices: square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x5 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix1x6 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix4x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x4 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x5 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x6 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix2x3 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Matrix3x2 &value)
| Advanced columns: fixed size matrices: non-square matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix1x1 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix2x2 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix3x3 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix4x4 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix5x5 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix6x6 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix7x7 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix8x8 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::SymMatrix9x9 &value)
| Advanced columns: fixed size matrices: symmetric matrices. More...
static StatusCode | column (const Tuples::Tuple &tuple, const std::string &name, const Gaudi::Time &value)
| advanced column: time More...
static StatusCode | column (const Tuples::Tuple &tuple, const Gaudi::Time &value)
| advanced column: time More...
static StatusCode | array (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data)
| Advanced columns: fixed size arrays. More...
static StatusCode | farray (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepVector &data, const std::string &length, const size_t maxv)
| Advanced columns: floating-size arrays. More...
static StatusCode | matrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data)
| Advanced columns: fixed size matrices. More...
static StatusCode | fmatrix (const Tuples::Tuple &tuple, const std::string &name, const CLHEP::HepGenMatrix &data, const Tuples::TupleObj::MIndex cols, const std::string &length, const size_t maxv)
| Advanced columns: floating-size matrices. More...

## Detailed Description

Simple class which performs the decoration of the standard N-Tuple.

See also
  Tuples::Tuple

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-04

Definition at line 44 of file TupleDecorator.h.

## Member Function Documentation

## ◆ array() [1/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 149 of file TupleDecorator.cpp.

150 {
151 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
152 return tuple->array( name, data.begin(), data.end() );
153 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
std::vector::end
T end(T... args)
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
std::vector::begin
T begin(T... args)
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [2/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector1 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 155 of file TupleDecorator.cpp.

156 {
157 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
158 return tuple->array( name, data );
159 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [3/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector2 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 161 of file TupleDecorator.cpp.

162 {
163 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
164 return tuple->array( name, data );
165 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [4/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector3 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 167 of file TupleDecorator.cpp.

168 {
169 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
170 return tuple->array( name, data.begin(), data.begin() + 3 );
171 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [5/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector4 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 173 of file TupleDecorator.cpp.

174 {
175 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
176 // return tuple->array( name , data ) ;
177 return tuple->array( name, data.begin(), data.begin() + 4 );
178 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [6/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector5 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 180 of file TupleDecorator.cpp.

181 {
182 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
183 return tuple->array( name, data );
184 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [7/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector6 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 186 of file TupleDecorator.cpp.

187 {
188 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
189 return tuple->array( name, data );
190 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [8/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector7 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 192 of file TupleDecorator.cpp.

193 {
194 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
195 return tuple->array( name, data );
196 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [9/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector8 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 198 of file TupleDecorator.cpp.

199 {
200 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
201 return tuple->array( name, data );
202 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [10/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Vector9 & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 204 of file TupleDecorator.cpp.

205 {
206 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
207 return tuple->array( name, data );
208 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ array() [11/11]

StatusCode GaudiPython::TupleDecorator::array | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data
| ) |  |
| static

Advanced columns: fixed size arrays.

Definition at line 416 of file TupleDecorator.cpp.

417 {
418 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
419 return tuple->array( name, data, data.num_row() );
420 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
Tuples::TupleObj::array
StatusCode array(const std::string &name, DATA first, DATA last)
fill N-Tuple with fixed-size array
Definition: TupleObj.h:1533
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ column() [1/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value
| ) |  |
| static

more or less simple columns: long

Definition at line 69 of file TupleDecorator.cpp.

69 {
70 return _fill( tuple, name, value );
71 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column() [2/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const int | value,
|  | const int | minv,
|  | const int | maxv
| ) |  |
| static

more or less simple columns: long

Definition at line 73 of file TupleDecorator.cpp.

74 {
75 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
76 return tuple->column( name, value, minv, maxv );
77 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:292
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ column() [3/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const double | value
| ) |  |
| static

more or less simple columns: double

Definition at line 79 of file TupleDecorator.cpp.

80 {
81 return _fill( tuple, name, value );
82 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column() [4/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const bool | value
| ) |  |
| static

more or less simple columns: bool

Definition at line 94 of file TupleDecorator.cpp.

95 {
96 return _fill( tuple, name, value );
97 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column() [5/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | IOpaqueAddress * | value
| ) |  |
| static

more or less simple columns: IOpaqueAddress

Definition at line 99 of file TupleDecorator.cpp.

100 {
101 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
102 return tuple->column( name, value );
103 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:292
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ column() [6/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | IOpaqueAddress * | value
| ) |  |
| static

more or less simple columns: IOpaqueAddress

Definition at line 105 of file TupleDecorator.cpp.

105 {
106 return column( tuple, "Address", value );
107 }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:69

## ◆ column() [7/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::LorentzVector & | value
| ) |  |
| static

Advanced columns: LorentzVector.

Definition at line 109 of file TupleDecorator.cpp.

110 {
111 return _fill( tuple, name, value );
112 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column() [8/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZVector & | value
| ) |  |
| static

Advanced columns: 3D-vector.

Definition at line 114 of file TupleDecorator.cpp.

115 {
116 return _fill( tuple, name, value );
117 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column() [9/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::XYZPoint & | value
| ) |  |
| static

Advanced columns: 3D-points.

Definition at line 119 of file TupleDecorator.cpp.

120 {
121 return _fill( tuple, name, value );
122 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column() [10/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Time & | value
| ) |  |
| static

advanced column: time

Definition at line 390 of file TupleDecorator.cpp.

391 {
392 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
393 StatusCode sc = StatusCode::SUCCESS;
394 //
395 sc = tuple->column( name + "year", value.year( true ), 1970, 2070 );
396 if ( sc.isFailure() ) { return sc; }
397 sc = tuple->column( name + "month", value.month( true ) + 1, 1, 16 );
398 if ( sc.isFailure() ) { return sc; }
399 sc = tuple->column( name + "day", value.day( true ), 0, 32 );
400 if ( sc.isFailure() ) { return sc; }
401 sc = tuple->column( name + "hour", value.hour( true ), 0, 25 );
402 if ( sc.isFailure() ) { return sc; }
403 sc = tuple->column( name + "minute", value.minute( true ), 0, 61 );
404 if ( sc.isFailure() ) { return sc; }
405 sc = tuple->column( name + "second", value.second( true ), 0, 61 );
406 if ( sc.isFailure() ) { return sc; }
407 sc = tuple->column( name + "nsecond", value.nsecond() );
408 //
409 return sc;
410 }
Gaudi::Time::year
int year(bool local) const
Get the year.
Definition: Time.cpp:166
Gaudi::Time::day
int day(bool local) const
Get the day of month, numbered [1,31].
Definition: Time.cpp:172
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:292
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
Gaudi::Time::hour
int hour(bool local) const
Get the hour, numbered [0, 23].
Definition: Time.cpp:175
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
Gaudi::Time::second
int second(bool local) const
Get the seconds, numbered [0,61] (allowing one or two leap seconds, years with leap seconds can have ...
Definition: Time.cpp:183
Gaudi::Time::nsecond
int nsecond() const
Get the nanoseconds.
Definition: Time.cpp:188
Gaudi::Time::month
int month(bool local) const
Get the month, numbered [0,11].
Definition: Time.cpp:169
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86
StatusCode::isFailure
bool isFailure() const
Definition: StatusCode.h:130
Gaudi::Time::minute
int minute(bool local) const
Get the minute, numbered [0, 59].
Definition: Time.cpp:178

## ◆ column() [11/11]

StatusCode GaudiPython::TupleDecorator::column | ( | const Tuples::Tuple & | tuple,
|  | const Gaudi::Time & | value
| ) |  |
| static

advanced column: time

Definition at line 384 of file TupleDecorator.cpp.

384 {
385 return column( tuple, "", value );
386 }
GaudiPython::TupleDecorator::column
static StatusCode column(const Tuples::Tuple &tuple, const std::string &name, const int value)
more or less simple columns: long
Definition: TupleDecorator.cpp:69

## ◆ column_ll()

StatusCode GaudiPython::TupleDecorator::column_ll | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const long long | value
| ) |  |
| static

more or less simple columns: long long

Definition at line 84 of file TupleDecorator.cpp.

85 {
86 return _fill( tuple, name, value );
87 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ column_ull()

StatusCode GaudiPython::TupleDecorator::column_ull | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const unsigned long long | value
| ) |  |
| static

more or less simple columns: unsigned long long

Definition at line 89 of file TupleDecorator.cpp.

90 {
91 return _fill( tuple, name, value );
92 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ farray() [1/2]

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const std::vector< double > & | data,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size arrays.

Definition at line 124 of file TupleDecorator.cpp.

126 {
127 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
128 return tuple->farray( name, data.begin(), data.end(), length, maxv );
129 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
std::vector::end
T end(T... args)
Tuples::TupleObj::farray
StatusCode farray(const std::string &name, ITERATOR1 &&first, ITERATOR2 &&last, const std::string &length, size_t maxv)
Add an indexed array (of type float) to N-tuple.
Definition: TupleObj.h:876
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
std::vector::begin
T begin(T... args)
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ farray() [2/2]

StatusCode GaudiPython::TupleDecorator::farray | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepVector & | data,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size arrays.

Definition at line 422 of file TupleDecorator.cpp.

424 {
425 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
426 // use the trick!
427 const double* begin = &( data[0] );
428 const double* end = begin + data.num_row();
429 return tuple->farray( name, begin, end, length, maxv );
430 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
CLHEP::begin
const double * begin(const CLHEP::HepVector &v)
Definition: TupleDecorator.cpp:23
Tuples::TupleObj::farray
StatusCode farray(const std::string &name, ITERATOR1 &&first, ITERATOR2 &&last, const std::string &length, size_t maxv)
Add an indexed array (of type float) to N-tuple.
Definition: TupleObj.h:876
IOTest.end
def end
Definition: IOTest.py:112
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ fmatrix() [1/3]

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 131 of file TupleDecorator.cpp.

134 {
135 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
136 if ( !data.empty() && cols != data.front().size() ) {
137 return tuple->Error( "GP:fmatrix(1): mismatch in matrix dimensions!" );
138 }
139 return tuple->fmatrix( name, data, data.size(), cols, length, maxv );
140 }
std::vector::empty
T empty(T... args)
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
std::vector::front
T front(T... args)
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1292
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
std::vector::size
T size(T... args)
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ fmatrix() [2/3]

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiUtils::VectorMap< int, double > & | info,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 142 of file TupleDecorator.cpp.

144 {
145 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
146 return tuple->fmatrix( name, info, length, maxv );
147 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1292
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ fmatrix() [3/3]

StatusCode GaudiPython::TupleDecorator::fmatrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data,
|  | const Tuples::TupleObj::MIndex | cols,
|  | const std::string & | length,
|  | const size_t | maxv
| ) |  |
| static

Advanced columns: floating-size matrices.

Definition at line 440 of file TupleDecorator.cpp.

443 {
444 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
445 if ( cols != data.num_col() ) { return tuple->Error( "GP:fmatrix(2): mismatch in matrix dimensions!" ); }
446 return tuple->fmatrix( name, data, data.num_row(), cols, length, maxv );
447 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::TupleObj::fmatrix
StatusCode fmatrix(const std::string &name, const MATRIX &data, size_t rows, const MIndex &cols, const std::string &length, size_t maxv)
Fill N-Tuple with data from variable-size matrix.
Definition: TupleObj.h:1292
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [1/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const GaudiPython::Matrix & | data,
|  | const Tuples::TupleObj::MIndex | cols
| ) |  |
| static

Advanced columns: fixed size matrices.

Definition at line 210 of file TupleDecorator.cpp.

213 {
214 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
215 if ( data.empty() ) { return tuple->Warning( "GP:matrix(1): empty fixed matrix, skip matrix " ); }
216 if ( cols != data.front().size() ) { return tuple->Error( "GP:matrix(1): mismatch in fixed matrix dimensions!" ); }
217 return tuple->matrix( name, data, data.size(), cols );
218 }
std::vector::empty
T empty(T... args)
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
std::vector::front
T front(T... args)
Tuples::TupleObj::Warning
virtual StatusCode Warning(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
std::vector::size
T size(T... args)
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [2/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 226 of file TupleDecorator.cpp.

227 {
228 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
229 return tuple->matrix( name, data );
230 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [3/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 232 of file TupleDecorator.cpp.

233 {
234 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
235 return tuple->matrix( name, data );
236 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [4/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 238 of file TupleDecorator.cpp.

239 {
240 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
241 return tuple->matrix( name, data );
242 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [5/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix5x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 244 of file TupleDecorator.cpp.

245 {
246 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
247 return tuple->matrix( name, data );
248 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [6/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix6x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 250 of file TupleDecorator.cpp.

251 {
252 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
253 return tuple->matrix( name, data );
254 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [7/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix7x7 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 256 of file TupleDecorator.cpp.

257 {
258 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
259 return tuple->matrix( name, data );
260 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [8/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix8x8 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 262 of file TupleDecorator.cpp.

263 {
264 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
265 return tuple->matrix( name, data );
266 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [9/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix9x9 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 268 of file TupleDecorator.cpp.

269 {
270 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
271 return tuple->matrix( name, data );
272 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [10/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x1 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: square matrices.

Definition at line 220 of file TupleDecorator.cpp.

221 {
222 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
223 return tuple->matrix( name, data );
224 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [11/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 274 of file TupleDecorator.cpp.

275 {
276 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
277 return tuple->matrix( name, data );
278 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [12/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 280 of file TupleDecorator.cpp.

281 {
282 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
283 return tuple->matrix( name, data );
284 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [13/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix1x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 286 of file TupleDecorator.cpp.

287 {
288 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
289 return tuple->matrix( name, data );
290 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [14/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix4x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 292 of file TupleDecorator.cpp.

293 {
294 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
295 return tuple->matrix( name, data );
296 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [15/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 298 of file TupleDecorator.cpp.

299 {
300 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
301 return tuple->matrix( name, data );
302 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [16/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 304 of file TupleDecorator.cpp.

305 {
306 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
307 return tuple->matrix( name, data );
308 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [17/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 310 of file TupleDecorator.cpp.

311 {
312 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
313 return tuple->matrix( name, data );
314 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [18/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix2x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 316 of file TupleDecorator.cpp.

317 {
318 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
319 return tuple->matrix( name, data );
320 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [19/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::Matrix3x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: non-square matrices.

Definition at line 322 of file TupleDecorator.cpp.

323 {
324 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
325 return tuple->matrix( name, data );
326 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [20/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix1x1 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 328 of file TupleDecorator.cpp.

329 {
330 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
331 return tuple->matrix( name, data );
332 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [21/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix2x2 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 334 of file TupleDecorator.cpp.

335 {
336 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
337 return tuple->matrix( name, data );
338 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [22/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix3x3 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 340 of file TupleDecorator.cpp.

341 {
342 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
343 return tuple->matrix( name, data );
344 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [23/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix4x4 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 346 of file TupleDecorator.cpp.

347 {
348 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
349 return tuple->matrix( name, data );
350 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [24/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix5x5 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 352 of file TupleDecorator.cpp.

353 {
354 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
355 return tuple->matrix( name, data );
356 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [25/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix6x6 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 358 of file TupleDecorator.cpp.

359 {
360 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
361 return tuple->matrix( name, data );
362 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [26/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix7x7 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 364 of file TupleDecorator.cpp.

365 {
366 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
367 return tuple->matrix( name, data );
368 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [27/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix8x8 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 370 of file TupleDecorator.cpp.

371 {
372 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
373 return tuple->matrix( name, data );
374 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [28/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const Gaudi::SymMatrix9x9 & | value
| ) |  |
| static

Advanced columns: fixed size matrices: symmetric matrices.

Definition at line 376 of file TupleDecorator.cpp.

377 {
378 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
379 return tuple->matrix( name, data );
380 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ matrix() [29/29]

StatusCode GaudiPython::TupleDecorator::matrix | ( | const Tuples::Tuple & | tuple,
|  | const std::string & | name,
|  | const CLHEP::HepGenMatrix & | data
| ) |  |
| static

Advanced columns: fixed size matrices.

Definition at line 432 of file TupleDecorator.cpp.

433 {
434 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
435 if ( 1 > data.num_col() ) { return tuple->Error( "GP:matrix(2): illegal fixed matrix num_col" ); }
436 if ( 1 > data.num_row() ) { return tuple->Error( "GP:matrix(2): illegal fixed matrix num_row" ); }
437 return tuple->matrix( name, data, data.num_row(), data.num_col() );
438 }
Tuples::TupleObj::matrix
StatusCode matrix(const std::string &name, const MATRIX &data, const MIndex &rows, const MIndex &cols)
fill N-Tuple with fixed-size matrix
Definition: TupleObj.h:1688
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Tuples::TupleObj::Error
virtual StatusCode Error(const std::string &msg, const StatusCode sc=StatusCode::FAILURE) const =0
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ nTuple()

INTuple * GaudiPython::TupleDecorator::nTuple | ( | const Tuples::Tuple & | tuple | ) |
| static

accessors to internal

Definition at line 52 of file TupleDecorator.cpp.

52 {
53 if ( !tuple.valid() ) { return 0; }
54 return tuple->tuple();
55 }
Tuples::TupleObj::tuple
const NTuple::Tuple * tuple() const
provide the access to underlying Gaudi N-tuple
Definition: TupleObj.h:1851
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132

## ◆ ntuple()

NTuple::Tuple * GaudiPython::TupleDecorator::ntuple | ( | const Tuples::Tuple & | tuple | ) |
| static

accessors to internal

Definition at line 57 of file TupleDecorator.cpp.

57 {
58 if ( !tuple.valid() ) { return 0; }
59 return tuple->tuple();
60 }
Tuples::TupleObj::tuple
const NTuple::Tuple * tuple() const
provide the access to underlying Gaudi N-tuple
Definition: TupleObj.h:1851
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132

## ◆ valid()

bool GaudiPython::TupleDecorator::valid | ( | const Tuples::Tuple & | tuple | ) |
| static

status of the tuple

Definition at line 62 of file TupleDecorator.cpp.

62 { return tuple.valid(); }
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132

## ◆ write()

StatusCode GaudiPython::TupleDecorator::write | ( | const Tuples::Tuple & | tuple | ) |
| static

commit the row

Definition at line 64 of file TupleDecorator.cpp.

64 {
65 if ( !tuple.valid() ) { return StatusCode::FAILURE; }
66 return tuple->write();
67 }
Tuples::TupleObj::write
StatusCode write()
write a record to NTuple
Definition: TupleObj.cpp:229
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:132
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/TupleDecorator.h
- GaudiPython/src/Lib/TupleDecorator.cpp